| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iThingEnvironment Struct Reference
[Mesh plugins]

This interface is implemented by the iObjectType for things. More...

`#include <imesh/thing.h>`

Inheritance diagram for iThingEnvironment:

[legend]
List of all members.

## Public Member Functions
virtual void | Clear ()=0
| Reset the thing environment (clear all stuff related to things).
virtual int | GetDefaultLightmapCellSize () const =0
| Return default lightmap cell size.
virtual int | GetLightmapCellSize () const =0
| Return the current lightmap cell size.
virtual void | SetLightmapCellSize (int Size)=0
| Set lightmap cell size.

## Detailed Description

This interface is implemented by the iObjectType for things.

Using this interface you can access some global information for things.

Main creators of instances implementing this interface:

- Thing mesh plugin.

Main ways to get pointers to this interface:

- scfQueryInterface on thing mesh plugin (iMeshObjectType).

Definition at line 816 of file thing.h.

## Member Function Documentation

virtual void iThingEnvironment::Clear | ( |  | ) | `[pure virtual]`

Reset the thing environment (clear all stuff related to things).

virtual int iThingEnvironment::GetDefaultLightmapCellSize | ( |  | ) | const`[pure virtual]`

Return default lightmap cell size.

virtual int iThingEnvironment::GetLightmapCellSize | ( |  | ) | const`[pure virtual]`

Return the current lightmap cell size.

virtual void iThingEnvironment::SetLightmapCellSize | ( | int | Size | ) | `[pure virtual]`

Set lightmap cell size.

The documentation for this struct was generated from the following file:

- imesh/thing.h